View a markdown version of this page

ListDatasets - Amazon Connect Health

ListDatasets

Lists the Datasets in a Domain. You can list only the datasets of one type. The operation doesn't return datasets whose status is DELETED, and the order of the results isn't specified. We recommend using pagination to ensure that the operation returns quickly and successfully.

Datasets are in preview release and are subject to change.

Request Syntax

GET /domains/domainId/datasets?maxResults=maxResults&nextToken=nextToken&type=type HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

domainId

The unique identifier of the parent Domain.

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

maxResults

The maximum number of datasets to return in one page. The default is 100.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token for the next page of results, from a previous ListDatasets response. If you don't specify a value, the operation returns the first page of results.

type

Returns only datasets of this type.

Valid Values: MEDICAL_CODING

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "arn": "string", "createdAt": number, "datasetId": "string", "name": "string", "status": "string", "statusDetails": "string", "type": "string", "updatedAt": number } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

A list of dataset summaries.

Type: Array of DatasetSummary objects

nextToken

The token for the next page of results. Not returned if there are no more results.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This error is thrown when the client does not supply proper credentials to the API.

HTTP Status Code: 401

InternalServerException

This error is thrown when a transient error causes our API to fail.

HTTP Status Code: 500

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

ThrottlingException

This error is thrown when the client exceeds the allowed request rate.

HTTP Status Code: 429

ValidationException

This error is thrown when the client supplies invalid input to the API.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: